gtk-sharp 2.12.0.0 Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. GLib.Object Gtk.TreeDragDest Gtk.TreeDragSource Gtk.TreeModel Gtk.TreeSortable A tree-like data structure that can be used with the The object is a list model for use with a widget. It implements the interface, and consequentialy, can use all of the methods available there. It also implements the interface so it can be sorted by the view. Finally, it also implements the tree drag and drop interfaces.
- Constructor
  2.12.0.0
  Protected constructor.
- Constructor
  2.12.0.0
  System.Obsolete
  a
  Protected Constructor.
  Chain to this constructor if you have manually registered a native value for your subclass.
- Constructor
  2.12.0.0
  System.ParamArray
  a
  Protected Constructor.
  Chain to this constructor if you have manually registered a native value for your subclass.
- Constructor
  2.12.0.0
  Pointer to the C object.
  Internal constructor

  This is an internal constructor, and should not be used by user code.

- Constructor
  2.12.0.0
  System.ParamArray
  a
  Creates a new instance.
  Treestore store; store = new TreeStore (typeof (int), typeof (string));
- Method
  2.12.0.0
  System.Obsolete("Replaced by AppendNode")
  Gtk.TreeIter `` a Appends a new row to the . a

  If parent is , then the row will be prepended to the toplevel.

- Method
  2.12.0.0
  System.Obsolete("Replaced by AppendNode")
  System.Void `` an object of type Appends a new row to the .

  It will append a row to the top level. will be changed to point to this new row. The row will be empty after this method is called. To fill in values, you need to call .

- Method
  2.12.0.0
  Gtk.TreeIter Appends a root node to the store. a
- Method
  2.12.0.0
  Gtk.TreeIter `` a Appends a child to an existing node. a
- Method
  2.12.0.0
  Gtk.TreeIter `` a with the data for the row. Appends a new row to the . a
- Method
  2.12.0.0
  Gtk.TreeIter `System.ParamArray` a with the data for the row. Appends a new row to the . a
- Method
  2.12.0.0
  Gtk.TreeIter `` `` the parent row to attach the new row under. a with the data for the row. Appends a new row to the . a To append the new row to the toplevel, use the
- Method
  2.12.0.0
  Gtk.TreeIter `` `System.ParamArray` the parent row to attach the new row under. a with the data for the row. Appends a new row to the . a To append the new row to the toplevel, use the
- Method
  2.12.0.0
  System.Void Fires a event. Designed to be called by routines that change the sort of the tree.
- Method
  2.12.0.0
  System.Void Removes all rows from the
- Property
  2.12.0.0
  GLib.GType[] To be added a To be added
- Property
  2.12.0.0
  Gtk.TreeIterCompareFunc The function that should be used to be sort columns by default if not otherwise specified by . a This property is meant to be used together with .
- Method
  2.12.0.0
  System.Boolean `` A , the path of the data to delete. When this TreeStore is the data source for a drag operation and the drag operation is a move, this method runs to delete the data after the data has been received by the target widget. A , true if the operation succeeds.
- Method
  2.12.0.0
  System.Boolean `` `` a A Method used when this TreeStore is part of a source widget for a drag-and-drop operation; gets the data that was dragged from the associated widget. A , true if the operation succeeded.
- Method
  2.12.0.0
  System.Boolean `` `` A , the destination path of the drag A , the data that was dragged Drags data received into this object. A boolean, true if the data was successfully received.
- Method
  2.12.0.0
  System.Void `` `` an object of type an object of type Emits the event.
- Method
  2.12.0.0
  System.Void `` an object of type Emits the event. This should be called by models after a row has been removed. The location pointed to by should be the location that the row previously was at. It may not be a valid location anymore.
- Method
  2.12.0.0
  System.Void `` `` an object of type an object of type Emits the event.
- Method
  2.12.0.0
  System.Void `` `` an object of type an object of type Emits the event.
- Method
  System.Int32 `` `` Emits the event. a a a
- Method
  2.12.0.0
  System.Void `` `` `` To be added. To be added. To be added. To be added. To be added.
- Property
  2.12.0.0
  Gtk.TreeModelFlags Returns a set of flags supported by this . an object of type The flags are a bitwise combination of . The flags supported should not change during the lifecycle of the .
- Method
  2.12.0.0
  System.Void `` an object of type Calls on each node in model in a depth-first fashion. If func returns , then the tree ceases to be walked, and this method returns.
- Method
  2.12.0.0
  GLib.GType `` a , the column to check Gets the type of data stored in column number . a
- Method
  2.12.0.0
  System.Boolean `` `` an object of type an object of type Sets to a valid iterator pointing to . an object of type
- Method
  2.12.0.0
  System.Boolean `` an object of type Gets the first iterator in the tree (the one at the path "0") and returns . an object of type Returns if the tree is empty.
- Method
  2.12.0.0
  System.Boolean `` `` an object of type an object of type Gets the at . an object of type Otherwise, is left invalid and is returned.

  path_string "0" represent the first node, "1" the second, and so on. path_string "0:0" represent the first child of the first node, "0:1" the second child of the first node, and so on.

- Method
  2.12.0.0
  Gtk.TreePath `` an object of type Gets the of . an object of type
- Method
  2.12.0.0
  System.Boolean `` `` a , gets filled with the column number that's currently used for sorting a , the current type of sort (ascending or descending) Report on which column is currently being used to sort this TreeStore. a , false if the default sort column for this TreeStore is being used, true if some other sort column is being used.
- Method
  2.12.0.0
  System.String `` a Marshals the given into a path string. a
- Method
  2.12.0.0
  System.Void `` `` an object of type a , pointer to the va_list data structure of arguments (FIXME: clarify what va_lists look like) Gets the values of child properties for the row pointed to by .
- Method
  2.12.0.0
  System.Object `` `` a a Gets a value at row and column . a
- Method
  2.12.0.0
  System.Void `` `` `` a a a Gets the value of row of column and puts it in .
- Property
  2.12.0.0
  GLib.GType GType Property. a Returns the native value for .
- Property
  2.12.0.0
  System.Boolean Find out whether this TreeStore has a default sort function. a , true if there is a default sort function. To set a default sort function, use .
- Method
  2.12.0.0
  System.Obsolete("Replaced by InsertNode")
  Gtk.TreeIter `` `` To be added. a Inserts a new row at position . a pointing to the new row. If is larger than the number of rows on the list, then the new row will be appended to the list. The row will be empty before this function is called. To set the value of the new row, use .
- Method
  2.12.0.0
  System.Obsolete("Replaced by InsertNode")
  System.Void `` `` an object of type an object of type Creates a new row at . If parent is not , then the row will be made a child of parent. Otherwise, the row will be created at the toplevel. If is larger than the number of rows at that level, then the new row will be inserted to the end of the list. will be changed to point to this new row. The row will be empty after this function is called. To fill in values, you need to call .
- Method
  2.12.0.0
  System.Obsolete("Replaced by InsertNodeAfter")
  Gtk.TreeIter `` `` a a Inserts a new row after . a

  If is , then the row will be prepended to the children of its parent. If parent and sibling are , then the row will be prepended to the toplevel. If both and parent are set, then parent must be the parent of . When is set, parent is optional.

- Method
  2.12.0.0
  System.Obsolete("Replaced by InsertNodeAfter")
  System.Void `` `` an object of type an object of type Inserts a new row after .

  If is , then the row will be prepended to the children of its parent. If parent and sibling are , then the row will be prepended to the toplevel. If both and parent are set, then parent must be the parent of . When is set, parent is optional.

- Method
  2.12.0.0
  System.Obsolete("Replaced by InsertNodeBefore")
  Gtk.TreeIter `` `` a a Inserts a new row before . a

  If is , then the row will be appended to the children of its parent. If parent and sibling are , then the row will be appended to the toplevel. If both and parent are set, then parent must be the parent of . When is set, parent is optional.

- Method
  2.12.0.0
  System.Obsolete("Replaced by InsertNodeBefore")
  System.Void `` `` an object of type an object of type Inserts a new row before . If is , then the row will be appended to the children of its parent. If parent and sibling are , then the row will be appended to the toplevel. If both and parent are set, then parent must be the parent of . When is set, parent is optional.
- Method
  2.12.0.0
  Gtk.TreeIter `` a Inserts a root node. a
- Method
  2.12.0.0
  Gtk.TreeIter `` `` a a Inserts a child of an existing node. a
- Method
  2.12.0.0
  Gtk.TreeIter `` a Inserts a root node after a sibling. a
- Method
  2.12.0.0
  Gtk.TreeIter `` `` a a Inserts a child of an existing node after a sibling. a
- Method
  2.12.0.0
  Gtk.TreeIter `` a Inserts a root node before a sibling. a
- Method
  2.12.0.0
  Gtk.TreeIter `` `` a a Inserts a child of an existing node before a sibling. a
- Method
  2.12.0.0
  Gtk.TreeIter `` `System.ParamArray` Insert position. An array of column values. Inserts a row into the Root node of the store with values. An iter pointing to the added row. The column values provided should be in column order.
- Method
  2.12.0.0
  Gtk.TreeIter `` `` `System.ParamArray` Iter of the node to insert into. Insert position. An array of column values. Inserts a child row into a node with values. An iter pointing to the added row. The column values provided should be in column order.
- Method
  2.12.0.0
  System.Boolean `` `` an object of type an object of type Returns if is an ancestor of . an object of type That is, is the parent (or grandparent or great-grandparent) of .
- Method
  2.12.0.0
  System.Boolean `` an object of type Sets the TreeIter object pointed to by the iter param to point to the first child of this tree. an object of type
- Method
  2.12.0.0
  System.Boolean `` `` an object of type an object of type Sets to point to the first child of . an object of type If has no children, is returned and is set to be invalid. will remain a valid node after this function has been called.
- Method
  2.12.0.0
  System.Int32 `` an object of type Returns the depth of . an object of type This will be 0 for anything on the root level, 1 for anything down a level, etc.
- Method
  2.12.0.0
  System.Boolean `` an object of type Returns if iter has children, otherwise. an object of type
- Method
  2.12.0.0
  System.Boolean `` a Test whether is valid for this TreeStore. a , true if is valid. WARNING: this method is slow and is only intended for debugging/testing purposes.
- Method
  2.12.0.0
  System.Int32 Returns the number of children that the has. an object of type As a special case, if iter is , then the number of toplevel nodes is returned.
- Method
  2.12.0.0
  System.Int32 `` an object of type Returns the number of children that has. an object of type As a special case, if is , then the number of toplevel nodes is returned.
- Method
  2.12.0.0
  System.Boolean `` an object of type Sets to point to the node following it at the current level. an object of type If there is no next iter, is returned and iter is set to be invalid.
- Method
  2.12.0.0
  System.Boolean `` `` an object of type an object of type Sets to be the child of the root node, using the given index. an object of type In this case, the nth root node is set.
- Method
  2.12.0.0
  System.Boolean `` `` `` an object of type an object of type an object of type Sets to be the child of , using the given index. an object of type The first index is 0. If is too big, or has no children, is set to an invalid iterator and is returned. will remain a valid node after this function has been called.
- Method
  2.12.0.0
  System.Boolean `` `` an object of type an object of type Sets to be the parent of . an object of type If is at the toplevel, and does not have a parent, then is set to an invalid iterator and is returned. will remain a valid node after this function has been called.
- Method
  2.12.0.0
  System.Void `` `` a a Move the row pointed to by to the position after . If is , will be moved to point to the start of the list. This only works in unsorted stores.
- Method
  2.12.0.0
  System.Void `` `` a a Move the row pointed to by to the position before . If is , will be moved to point to the end of the list. This only works in unsorted stores.
- Property
  2.12.0.0
  System.Int32 Returns the number of columns supported by the . an object of type
- Method
  2.12.0.0
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideRowChanged", Type=typeof(Gtk.TreeStore))
  System.Void `` `` a a Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Method
  2.12.0.0
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideRowDeleted", Type=typeof(Gtk.TreeStore))
  System.Void `` a Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Method
  2.12.0.0
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideRowHasChildToggled", Type=typeof(Gtk.TreeStore))
  System.Void `` `` a a Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Method
  2.12.0.0
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideRowInserted", Type=typeof(Gtk.TreeStore))
  System.Void `` `` a a Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Method
  2.12.0.0
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideRowsReordered", Type=typeof(Gtk.TreeStore))
  System.Obsolete("Replaced by int[] new_order overload.")
  System.Void `` `` `` a a a Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Method
  2.12.0.0
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideRowsReordered", Type=typeof(Gtk.TreeStore))
  System.Void `` `` `` Path to the reordered parent node. Iter corresponding to the reordered parent node. An array of the old indices. Default handler for the RowsReordered event.
- Method
  2.12.0.0
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideSortColumnChanged", Type=typeof(Gtk.TreeStore))
  System.Void Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Method
  2.12.0.0
  System.Obsolete("Replaced by PrependNode")
  Gtk.TreeIter `` To be added. Adds a new row to the beginning of the tree. a pointing to the new row. The row will be empty before this function is called. To set the value of the new row, use .
- Method
  2.12.0.0
  System.Obsolete("Replaced by PrependNode")
  System.Void `` an object of type Prepends a new row to the . It will prepend a row to the top level. will be changed to point to this new row. The row will be empty after this method is called. To fill in values, you need to call .
- Method
  2.12.0.0
  Gtk.TreeIter Prepends a root node. a
- Method
  2.12.0.0
  Gtk.TreeIter `` a Prepends a child of an existing node. a
- Method
  2.12.0.0
  System.Void `` an object of type Lets the tree ref the node.

  This is an optional method for models to implement. To be more specific, models may ignore this call as it exists primarily for performance reasons.

  This function is primarily meant as a way for views to let caching model know when nodes are being displayed (and hence, whether or not to cache that node.) For example, a file-system based model would not want to keep the entire file-hierarchy in memory, just the sections that are currently being displayed by every current view.

  A model should be expected to be able to get an iter independent of its referenced state.

- Method
  2.12.0.0
  System.Boolean `` a Removes a row from the store. a After being removed, is set to be the next valid row, or invalidated if it pointed to the last row in the store.
- Method
  2.12.0.0
  System.Int32 `` To be added. Reorders the TreeStore. a . (FIXME: Does this binding work?)
- Event
  2.12.0.0
  GLib.Signal("row_changed")
  Gtk.RowChangedHandler Emitted when a row is in the is changed.
- Event
  2.12.0.0
  GLib.Signal("row_deleted")
  Gtk.RowDeletedHandler Emitted when a row is deleted from the .
- Method
  2.12.0.0
  System.Boolean `` a Returns whether or not a given row can be dragged. A boolean, true if the row is draggable.
- Method
  2.12.0.0
  System.Boolean `` `` a , potential drop destination a , potential data to be dropped. Tests whether can be dropped on . a , true if drop is allowed
- Event
  2.12.0.0
  GLib.Signal("row_has_child_toggled")
  Gtk.RowHasChildToggledHandler Emitted when a child of a row is toggled.
- Event
  2.12.0.0
  GLib.Signal("row_inserted")
  Gtk.RowInsertedHandler Emitted when a row is inserted into the .
- Event
  2.12.0.0
  GLib.Signal("rows_reordered")
  Gtk.RowsReorderedHandler Emitted when the rows of the are re-ordered.
- Method
  2.12.0.0
  System.Obsolete("Replaced by ColumnTypes property.")
  System.Void `` a Deprecated method to set what types go in each column of a TreeStore. See
- Method
  2.12.0.0
  System.Obsolete("Replaced by DefaultSortFunc property.")
  System.Void `` `` `` A , the function to use for sorting ignored ignored Sets a function that should be used to be sort columns by default if not otherwise specified by . This method is obsolete. The property is preferred for new code.
- Method
  2.12.0.0
  System.Void `` `` A , the sort column index. A , the kind of sort to use Sets which column is to be used to sort the data in the tree.
- Method
  2.12.0.0
  System.Void `` `` A , the index of the column to be sorted A , the function to use for sorting Sets a function that should be used to be sort a particular column. This method is meant to be used together with
- Method
  2.12.0.0
  System.Obsolete("Replaced by SetSortFunc (int, TreeIterCompareFunc) overload.")
  System.Void `` `` `` `` A , the index of the column to be sorted A , the function to use for sorting ignored ignored Sets a function that should be used to be sort a particular column. This overload is obsolete. The two parameter is preferred for new code.
- Method
  2.12.0.0
  System.Void `` `` an object of type a , pointer to the va_list data structure of arguments (FIXME: clarify what va_lists look like) Sets the values of child properties for the row pointed to by .
- Method
  2.12.0.0
  System.Void `` `` `` an object of type an object of type an object of type Sets the data in the cell specified by and . The type of value must be convertible to the type of the column.
- Method
  2.12.0.0
  System.Void `` `` `` a a a Sets the value of the specified column in the row pointed by iter. The type of specified column must be a .
- Method
  2.12.0.0
  System.Void `` `` `` a a a Sets the value of the specified column in the row pointed by iter. The type of specified column must be a .
- Method
  2.12.0.0
  System.Void `` `` `` a a a Sets the value of the specified column in the row pointed by iter. The type of specified column must be an .
- Method
  2.12.0.0
  System.Void `` `` `` a a a Sets the value of the specified column in the row pointed by iter. The type of specified column must be an .
- Method
  2.12.0.0
  System.Void `` `` `` a a a Sets the value of the specified column in the row pointed by iter. The type of specified column must be an
- Method
  2.12.0.0
  System.Void `` `` `` a a a Sets the value of the specified column in the row pointed by iter. The type of specified column must be a .
- Method
  2.12.0.0
  System.Void `` `` `` a a a Sets the value of the specified column in the row pointed by iter. The type of specified column must be an .
- Method
  2.12.0.0
  System.Void `` `System.ParamArray` Update position. An array of column values to set. Sets the column values of a given row.
- Event
  2.12.0.0
  GLib.Signal("sort_column_changed")
  System.EventHandler Emitted when the sort column of the has changed.
- Method
  2.12.0.0
  System.Void `` `` a a Swaps rows a and b in the store. This is only works in unsorted stores.
- Method
  2.12.0.0
  System.Void `` an object of type Lets the tree unref the node. This is an optional method for models to implement. To be more specific, models may ignore this call as it exists primarily for performance reasons. For more information on what this means, see . Please note that nodes that are deleted are not unreferenced.